'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getRouteName = require('./getRouteName');

var _getRouteName2 = _interopRequireDefault(_getRouteName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (component, schemes) {
  var view = component.props.view;

  if (view === void 0) {
    var _iteratorNormalCompletion = true;
    var _didIteratorError = false;
    var _iteratorError = undefined;

    try {
      for (var _iterator = schemes[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        var _scheme = _step.value;

        if (_scheme.props.view) view = _scheme.props.view;
      }
    } catch (err) {
      _didIteratorError = true;
      _iteratorError = err;
    } finally {
      try {
        if (!_iteratorNormalCompletion && _iterator.return) {
          _iterator.return();
        }
      } finally {
        if (_didIteratorError) {
          throw _iteratorError;
        }
      }
    }
  }if (view !== void 0) return view;

  var routeName = component.props.name || component.props.path || (0, _getRouteName2.default)(component);

  throw new Error('View not found for route: ' + routeName);
};