/** Remove here and down */
import React from 'react'
import ReactDOM from 'react-dom'


class App extends React.Component {
  static displayName = 'App'

  render () {
    return <div id="pilot__app">{this.props.children}</div>
  }
}


class SomeComponent extends React.Component {
  static displayName = 'SomeComponent'

  render () {
    console.log('Props:', this.props)
    // console.log('Context:', this.context, this.contextTypes)
    return (
      <div>
        Hello, world!
        <Link for="SomeComponent">Home</Link>
        <br/>
        <Link for="Profile.Videos" username='jared'>Click here!</Link>
        <br/>
        <Link for={{SomeComponent: {query: {test: 'best'}, hash: 'fringo'}}}>
          Click here tooo broooo!
        </Link>
        <br/>
        <Unlink for="Profile.Videos" username='jared'>Click here unlinked!</Unlink>
        <br/>
        <Link to={{'/some-place': {query: {test: 'best'}, hash: 'fringo'}}}>Boring link</Link>
        <br/>
        <span onClick={() => {this.props.router.goto('somewhere')}}>Lol.</span>
      </div>
    )
  }
}


ReactDOM.render((
  <Router app={App}>
    /** App */
    <Scheme path='/' view={withRouter(SomeComponent)}>
      <Scheme path='search'>
        <Route path='best'/>
      </Scheme>
      <Scheme path='{username:username}' name='Profile'>
        <Route path='videos' name='Videos'/>
        <Route path='messages' name='Messages'/>
        <Scheme path='settings'>
          <Route path='profile-picture'/>
          <Route path='privacy'/>
        </Scheme>
      </Scheme>
      <Route path='{}/something/{somethingElse}'/>
      <Route path='*' view={SomeComponent}/>
    </Scheme>
  </Router>
),
document.getElementById('app--pilot'))
// <Link for='Profile' username='jared'/>
// <Link for='SomeComponent.Profile' username='jared'/>
// <Link for={{'SomeComponent': {query: {big: rig}}}/>
// <Link to={{'/jared': {query: {big: rig}}}/>
