'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactAddonsShallowCompare = require('react-addons-shallow-compare');

var _reactAddonsShallowCompare2 = _interopRequireDefault(_reactAddonsShallowCompare);

var _assign = require('lodash/assign');

var _assign2 = _interopRequireDefault(_assign);

var _setDefinedOpt = require('opt-setter/setDefinedOpt');

var _setDefinedOpt2 = _interopRequireDefault(_setDefinedOpt);

var _context = require('./context');

var context = _interopRequireWildcard(_context);

var _bindEach = require('./bindEach');

var _bindEach2 = _interopRequireDefault(_bindEach);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RouterContext = (_temp = _class = function (_React$Component) {
  _inherits(RouterContext, _React$Component);

  function RouterContext() {
    _classCallCheck(this, RouterContext);

    return _possibleConstructorReturn(this, (RouterContext.__proto__ || Object.getPrototypeOf(RouterContext)).apply(this, arguments));
  }

  _createClass(RouterContext, [{
    key: 'getChildContext',
    value: function getChildContext() {
      var history = context.historyContext;
      var historyObj = this.props.history.toObject();
      (0, _setDefinedOpt2.default)(history, historyObj, false);
      (0, _bindEach2.default)(history, this.props.history);

      var router = (0, _assign2.default)({}, context.routerContext);
      (0, _setDefinedOpt2.default)(router, (0, _assign2.default)({}, history, this.props), false);
      router.onUpdate = history.onRouterUpdate;

      var route = (0, _assign2.default)({}, context.routeContext, this.props.route);
      delete route.view;

      return { router: router, route: route, history: history };
    }
  }, {
    key: 'render',
    value: function render() {
      return this.props.children;
    }
  }]);

  return RouterContext;
}(_react2.default.Component), _class.childContextTypes = {
  router: _react2.default.PropTypes.object,
  route: _react2.default.PropTypes.object,
  history: _react2.default.PropTypes.object
}, _temp);
exports.default = RouterContext;